diff --git a/lib/app/modules/auth/views/register_donatur_view.dart b/lib/app/modules/auth/views/register_donatur_view.dart
index e23caaf..f3aee8e 100644
--- a/lib/app/modules/auth/views/register_donatur_view.dart
+++ b/lib/app/modules/auth/views/register_donatur_view.dart
@@ -11,8 +11,16 @@ class RegisterDonaturView extends GetView<AuthController> {
   Widget build(BuildContext context) {
     return Scaffold(
       appBar: AppBar(
-        title: const Text('Daftar Sebagai Donatur'),
+        title: const Text('Daftar Donatur'),
+        centerTitle: true,
+        backgroundColor: Colors.blue,
+        foregroundColor: Colors.white,
         elevation: 0,
+        shape: const RoundedRectangleBorder(
+          borderRadius: BorderRadius.vertical(
+            bottom: Radius.circular(15),
+          ),
+        ),
       ),
       body: SafeArea(
         child: Padding(
@@ -23,29 +31,60 @@ class RegisterDonaturView extends GetView<AuthController> {
               child: Column(
                 crossAxisAlignment: CrossAxisAlignment.stretch,
                 children: [
-                  const SizedBox(height: 20),
-                  // Logo atau Judul
-                  const Center(
-                    child: Text(
-                      'Daftar Donatur',
-                      style: TextStyle(
-                        fontSize: 24,
-                        fontWeight: FontWeight.bold,
-                        color: Colors.blue,
-                      ),
-                    ),
-                  ),
                   const SizedBox(height: 10),
-                  const Center(
-                    child: Text(
-                      'Isi data untuk mendaftar sebagai donatur',
-                      style: TextStyle(
-                        fontSize: 16,
-                        color: Colors.grey,
-                      ),
+                  // Header dengan icon dan judul
+                  Container(
+                    padding: const EdgeInsets.all(15),
+                    decoration: BoxDecoration(
+                      color: Colors.blue.shade50,
+                      borderRadius: BorderRadius.circular(15),
+                    ),
+                    child: Column(
+                      children: [
+                        Image.asset(
+                          'assets/images/logo-disalurkita.png',
+                          width: 120,
+                          height: 120,
+                        ),
+                        const Text(
+                          'Daftar Sebagai Donatur',
+                          style: TextStyle(
+                            fontSize: 24,
+                            fontWeight: FontWeight.bold,
+                            color: Colors.blue,
+                          ),
+                        ),
+                        const SizedBox(height: 4),
+                        const Text(
+                          'Bergabunglah dengan kami untuk membantu mereka yang membutuhkan',
+                          textAlign: TextAlign.center,
+                          style: TextStyle(
+                            fontSize: 16,
+                            color: Colors.blueGrey,
+                          ),
+                        ),
+                      ],
                     ),
                   ),
-                  const SizedBox(height: 30),
+                  const SizedBox(height: 20),
+                  // Step indicator
+                  const Row(
+                    children: [
+                      Icon(Icons.person_add, color: Colors.blue),
+                      SizedBox(width: 10),
+                      Text(
+                        'Informasi Akun',
+                        style: TextStyle(
+                          fontSize: 18,
+                          fontWeight: FontWeight.bold,
+                          color: Colors.blue,
+                        ),
+                      ),
+                    ],
+                  ),
+                  const SizedBox(height: 15),
+                  const Divider(),
+                  const SizedBox(height: 10),
 
                   // Nama Lengkap
                   TextFormField(
@@ -53,9 +92,22 @@ class RegisterDonaturView extends GetView<AuthController> {
                     keyboardType: TextInputType.name,
                     decoration: InputDecoration(
                       labelText: 'Nama Lengkap',
-                      prefixIcon: const Icon(Icons.person),
-                      border: OutlineInputBorder(
+                      hintText: 'Masukkan nama lengkap Anda',
+                      prefixIcon: const Icon(Icons.person, color: Colors.blue),
+                      filled: true,
+                      fillColor: Colors.grey.shade100,
+                      enabledBorder: OutlineInputBorder(
                         borderRadius: BorderRadius.circular(10),
+                        borderSide: BorderSide(color: Colors.grey.shade300),
+                      ),
+                      focusedBorder: OutlineInputBorder(
+                        borderRadius: BorderRadius.circular(10),
+                        borderSide:
+                            const BorderSide(color: Colors.blue, width: 2),
+                      ),
+                      errorBorder: OutlineInputBorder(
+                        borderRadius: BorderRadius.circular(10),
+                        borderSide: const BorderSide(color: Colors.red),
                       ),
                     ),
                     validator: controller.validateDonaturNama,
@@ -68,9 +120,22 @@ class RegisterDonaturView extends GetView<AuthController> {
                     keyboardType: TextInputType.emailAddress,
                     decoration: InputDecoration(
                       labelText: 'Email',
-                      prefixIcon: const Icon(Icons.email),
-                      border: OutlineInputBorder(
+                      hintText: 'contoh@email.com',
+                      prefixIcon: const Icon(Icons.email, color: Colors.blue),
+                      filled: true,
+                      fillColor: Colors.grey.shade100,
+                      enabledBorder: OutlineInputBorder(
                         borderRadius: BorderRadius.circular(10),
+                        borderSide: BorderSide(color: Colors.grey.shade300),
+                      ),
+                      focusedBorder: OutlineInputBorder(
+                        borderRadius: BorderRadius.circular(10),
+                        borderSide:
+                            const BorderSide(color: Colors.blue, width: 2),
+                      ),
+                      errorBorder: OutlineInputBorder(
+                        borderRadius: BorderRadius.circular(10),
+                        borderSide: const BorderSide(color: Colors.red),
                       ),
                     ),
                     validator: controller.validateEmail,
@@ -78,34 +143,101 @@ class RegisterDonaturView extends GetView<AuthController> {
                   const SizedBox(height: 15),
 
                   // Password
-                  TextFormField(
-                    controller: controller.passwordController,
-                    obscureText: true,
-                    decoration: InputDecoration(
-                      labelText: 'Password',
-                      prefixIcon: const Icon(Icons.lock),
-                      border: OutlineInputBorder(
-                        borderRadius: BorderRadius.circular(10),
-                      ),
-                    ),
-                    validator: controller.validatePassword,
-                  ),
+                  Obx(() => TextFormField(
+                        controller: controller.passwordController,
+                        obscureText: controller.isPasswordHidden.value,
+                        decoration: InputDecoration(
+                          labelText: 'Password',
+                          hintText: 'Minimal 8 karakter',
+                          prefixIcon:
+                              const Icon(Icons.lock, color: Colors.blue),
+                          suffixIcon: IconButton(
+                            icon: Icon(
+                              controller.isPasswordHidden.value
+                                  ? Icons.visibility_off
+                                  : Icons.visibility,
+                              color: Colors.blue,
+                            ),
+                            onPressed: () =>
+                                controller.togglePasswordVisibility(),
+                          ),
+                          filled: true,
+                          fillColor: Colors.grey.shade100,
+                          enabledBorder: OutlineInputBorder(
+                            borderRadius: BorderRadius.circular(10),
+                            borderSide: BorderSide(color: Colors.grey.shade300),
+                          ),
+                          focusedBorder: OutlineInputBorder(
+                            borderRadius: BorderRadius.circular(10),
+                            borderSide:
+                                const BorderSide(color: Colors.blue, width: 2),
+                          ),
+                          errorBorder: OutlineInputBorder(
+                            borderRadius: BorderRadius.circular(10),
+                            borderSide: const BorderSide(color: Colors.red),
+                          ),
+                        ),
+                        validator: controller.validatePassword,
+                      )),
                   const SizedBox(height: 15),
 
                   // Confirm Password
-                  TextFormField(
-                    controller: controller.confirmPasswordController,
-                    obscureText: true,
-                    decoration: InputDecoration(
-                      labelText: 'Konfirmasi Password',
-                      prefixIcon: const Icon(Icons.lock_outline),
-                      border: OutlineInputBorder(
-                        borderRadius: BorderRadius.circular(10),
+                  Obx(() => TextFormField(
+                        controller: controller.confirmPasswordController,
+                        obscureText: controller.isConfirmPasswordHidden.value,
+                        decoration: InputDecoration(
+                          labelText: 'Konfirmasi Password',
+                          hintText: 'Masukkan password yang sama',
+                          prefixIcon: const Icon(Icons.lock_outline,
+                              color: Colors.blue),
+                          suffixIcon: IconButton(
+                            icon: Icon(
+                              controller.isConfirmPasswordHidden.value
+                                  ? Icons.visibility_off
+                                  : Icons.visibility,
+                              color: Colors.blue,
+                            ),
+                            onPressed: () =>
+                                controller.toggleConfirmPasswordVisibility(),
+                          ),
+                          filled: true,
+                          fillColor: Colors.grey.shade100,
+                          enabledBorder: OutlineInputBorder(
+                            borderRadius: BorderRadius.circular(10),
+                            borderSide: BorderSide(color: Colors.grey.shade300),
+                          ),
+                          focusedBorder: OutlineInputBorder(
+                            borderRadius: BorderRadius.circular(10),
+                            borderSide:
+                                const BorderSide(color: Colors.blue, width: 2),
+                          ),
+                          errorBorder: OutlineInputBorder(
+                            borderRadius: BorderRadius.circular(10),
+                            borderSide: const BorderSide(color: Colors.red),
+                          ),
+                        ),
+                        validator: controller.validateConfirmPassword,
+                      )),
+                  const SizedBox(height: 15),
+
+                  // Section heading
+                  const Row(
+                    children: [
+                      Icon(Icons.person_pin_circle, color: Colors.blue),
+                      SizedBox(width: 10),
+                      Text(
+                        'Informasi Profil',
+                        style: TextStyle(
+                          fontSize: 18,
+                          fontWeight: FontWeight.bold,
+                          color: Colors.blue,
+                        ),
                       ),
-                    ),
-                    validator: controller.validateConfirmPassword,
+                    ],
                   ),
                   const SizedBox(height: 15),
+                  const Divider(),
+                  const SizedBox(height: 10),
 
                   // No HP
                   TextFormField(
@@ -113,9 +245,22 @@ class RegisterDonaturView extends GetView<AuthController> {
                     keyboardType: TextInputType.phone,
                     decoration: InputDecoration(
                       labelText: 'Nomor HP',
-                      prefixIcon: const Icon(Icons.phone),
-                      border: OutlineInputBorder(
+                      hintText: 'Masukkan nomor HP aktif',
+                      prefixIcon: const Icon(Icons.phone, color: Colors.blue),
+                      filled: true,
+                      fillColor: Colors.grey.shade100,
+                      enabledBorder: OutlineInputBorder(
                         borderRadius: BorderRadius.circular(10),
+                        borderSide: BorderSide(color: Colors.grey.shade300),
+                      ),
+                      focusedBorder: OutlineInputBorder(
+                        borderRadius: BorderRadius.circular(10),
+                        borderSide:
+                            const BorderSide(color: Colors.blue, width: 2),
+                      ),
+                      errorBorder: OutlineInputBorder(
+                        borderRadius: BorderRadius.circular(10),
+                        borderSide: const BorderSide(color: Colors.red),
                       ),
                     ),
                     validator: controller.validateDonaturNoHp,
@@ -128,10 +273,23 @@ class RegisterDonaturView extends GetView<AuthController> {
                     keyboardType: TextInputType.streetAddress,
                     maxLines: 2,
                     decoration: InputDecoration(
-                      labelText: 'Alamat',
-                      prefixIcon: const Icon(Icons.home),
-                      border: OutlineInputBorder(
+                      labelText: 'Alamat Lengkap',
+                      hintText: 'Masukkan alamat lengkap Anda',
+                      prefixIcon: const Icon(Icons.home, color: Colors.blue),
+                      filled: true,
+                      fillColor: Colors.grey.shade100,
+                      enabledBorder: OutlineInputBorder(
                         borderRadius: BorderRadius.circular(10),
+                        borderSide: BorderSide(color: Colors.grey.shade300),
+                      ),
+                      focusedBorder: OutlineInputBorder(
+                        borderRadius: BorderRadius.circular(10),
+                        borderSide:
+                            const BorderSide(color: Colors.blue, width: 2),
+                      ),
+                      errorBorder: OutlineInputBorder(
+                        borderRadius: BorderRadius.circular(10),
+                        borderSide: const BorderSide(color: Colors.red),
                       ),
                     ),
                     validator: controller.validateDonaturAlamat,
@@ -139,70 +297,160 @@ class RegisterDonaturView extends GetView<AuthController> {
                   const SizedBox(height: 15),
 
                   // Jenis Donatur (Dropdown)
-                  DropdownButtonFormField<String>(
-                    value: controller.jenisController.text.isEmpty
-                        ? 'Individu'
-                        : controller.jenisController.text,
-                    decoration: InputDecoration(
-                      labelText: 'Jenis Donatur',
-                      prefixIcon: const Icon(Icons.category),
-                      border: OutlineInputBorder(
-                        borderRadius: BorderRadius.circular(10),
-                      ),
+                  Container(
+                    decoration: BoxDecoration(
+                      color: Colors.grey.shade100,
+                      borderRadius: BorderRadius.circular(10),
+                      border: Border.all(color: Colors.grey.shade300),
+                    ),
+                    child: DropdownButtonFormField<String>(
+                      value: controller.jenisController.text.isEmpty
+                          ? 'Individu'
+                          : controller.jenisController.text,
+                      decoration: InputDecoration(
+                        labelText: 'Jenis Donatur',
+                        prefixIcon:
+                            const Icon(Icons.category, color: Colors.blue),
+                        border: InputBorder.none,
+                        contentPadding:
+                            const EdgeInsets.symmetric(horizontal: 10),
+                      ),
+                      items: const [
+                        DropdownMenuItem(
+                            value: 'Individu', child: Text('Individu')),
+                        DropdownMenuItem(
+                            value: 'Organisasi', child: Text('Organisasi')),
+                        DropdownMenuItem(
+                            value: 'Perusahaan', child: Text('Perusahaan')),
+                        DropdownMenuItem(
+                            value: 'Lainnya', child: Text('Lainnya')),
+                      ],
+                      onChanged: (value) {
+                        controller.jenisController.text = value ?? 'Individu';
+                      },
                     ),
-                    items: const [
-                      DropdownMenuItem(
-                          value: 'Individu', child: Text('Individu')),
-                      DropdownMenuItem(
-                          value: 'Organisasi', child: Text('Organisasi')),
-                      DropdownMenuItem(
-                          value: 'Perusahaan', child: Text('Perusahaan')),
-                      DropdownMenuItem(
-                          value: 'Lainnya', child: Text('Lainnya')),
-                    ],
-                    onChanged: (value) {
-                      controller.jenisController.text = value ?? 'Individu';
-                    },
                   ),
-                  const SizedBox(height: 15),
 
-                  // Register Button
-                  Obx(() => ElevatedButton(
-                        onPressed: controller.isLoading.value
-                            ? null
-                            : controller.registerDonatur,
-                        style: ElevatedButton.styleFrom(
-                          padding: const EdgeInsets.symmetric(vertical: 15),
-                          shape: RoundedRectangleBorder(
-                            borderRadius: BorderRadius.circular(10),
-                          ),
-                        ),
-                        child: controller.isLoading.value
-                            ? const SpinKitThreeBounce(
-                                color: Colors.white,
-                                size: 24,
-                              )
-                            : const Text(
-                                'DAFTAR',
+                  const SizedBox(height: 25),
+
+                  // Catatan Informasi
+                  Container(
+                    padding: const EdgeInsets.all(15),
+                    decoration: BoxDecoration(
+                      color: Colors.blue.shade50,
+                      borderRadius: BorderRadius.circular(10),
+                      border: Border.all(color: Colors.blue.shade200),
+                    ),
+                    child: Row(
+                      children: [
+                        const Icon(Icons.info_outline, color: Colors.blue),
+                        const SizedBox(width: 10),
+                        Expanded(
+                          child: Column(
+                            crossAxisAlignment: CrossAxisAlignment.start,
+                            children: const [
+                              Text(
+                                'Informasi',
                                 style: TextStyle(
-                                  fontSize: 16,
                                   fontWeight: FontWeight.bold,
+                                  color: Colors.blue,
                                 ),
                               ),
+                              SizedBox(height: 5),
+                              Text(
+                                'Data Anda akan terverifikasi dan terlindungi. Kami menjaga privasi dan keamanan data Anda.',
+                                style: TextStyle(
+                                  fontSize: 14,
+                                  color: Colors.blueGrey,
+                                ),
+                              ),
+                            ],
+                          ),
+                        ),
+                      ],
+                    ),
+                  ),
+
+                  const SizedBox(height: 25),
+
+                  // Register Button
+                  Obx(() => Container(
+                        decoration: BoxDecoration(
+                          borderRadius: BorderRadius.circular(10),
+                          boxShadow: [
+                            BoxShadow(
+                              color: Colors.blue.withOpacity(0.3),
+                              spreadRadius: 1,
+                              blurRadius: 3,
+                              offset: const Offset(0, 2),
+                            ),
+                          ],
+                        ),
+                        child: ElevatedButton(
+                          onPressed: controller.isLoading.value
+                              ? null
+                              : controller.registerDonatur,
+                          style: ElevatedButton.styleFrom(
+                            padding: const EdgeInsets.symmetric(vertical: 15),
+                            backgroundColor: Colors.blue,
+                            shape: RoundedRectangleBorder(
+                              borderRadius: BorderRadius.circular(10),
+                            ),
+                            elevation: 0,
+                          ),
+                          child: controller.isLoading.value
+                              ? const SpinKitThreeBounce(
+                                  color: Colors.white,
+                                  size: 24,
+                                )
+                              : const Row(
+                                  mainAxisAlignment: MainAxisAlignment.center,
+                                  children: [
+                                    Icon(Icons.how_to_reg, color: Colors.white),
+                                    SizedBox(width: 10),
+                                    Text(
+                                      'DAFTAR SEKARANG',
+                                      style: TextStyle(
+                                        fontSize: 16,
+                                        fontWeight: FontWeight.bold,
+                                        color: Colors.white,
+                                      ),
+                                    ),
+                                  ],
+                                ),
+                        ),
                       )),
                   const SizedBox(height: 20),
 
                   // Login Link
-                  Row(
-                    mainAxisAlignment: MainAxisAlignment.center,
-                    children: [
-                      const Text('Sudah punya akun?'),
-                      TextButton(
-                        onPressed: () => Get.offAllNamed(Routes.login),
-                        child: const Text('Masuk'),
-                      ),
-                    ],
+                  Container(
+                    padding: const EdgeInsets.all(15),
+                    decoration: BoxDecoration(
+                      color: Colors.grey.shade50,
+                      borderRadius: BorderRadius.circular(10),
+                      border: Border.all(color: Colors.grey.shade200),
+                    ),
+                    child: Row(
+                      mainAxisAlignment: MainAxisAlignment.center,
+                      children: [
+                        const Text(
+                          'Sudah punya akun?',
+                          style: TextStyle(color: Colors.grey),
+                        ),
+                        TextButton(
+                          onPressed: () => Get.offAllNamed(Routes.login),
+                          child: const Text(
+                            'Masuk',
+                            style: TextStyle(
+                              fontWeight: FontWeight.bold,
+                              color: Colors.blue,
+                            ),
+                          ),
+                        ),
+                      ],
+                    ),
                   ),
+                  const SizedBox(height: 20),
                 ],
               ),
             ),
diff --git a/lib/app/modules/donatur/controllers/donatur_dashboard_controller.dart b/lib/app/modules/donatur/controllers/donatur_dashboard_controller.dart
index 172b716..5379c1f 100644
--- a/lib/app/modules/donatur/controllers/donatur_dashboard_controller.dart
+++ b/lib/app/modules/donatur/controllers/donatur_dashboard_controller.dart
@@ -7,6 +7,7 @@ import 'package:penyaluran_app/app/data/models/penyaluran_bantuan_model.dart';
 import 'package:penyaluran_app/app/data/models/laporan_penyaluran_model.dart';
 import 'package:penyaluran_app/app/data/models/user_model.dart';
 import 'package:penyaluran_app/app/data/models/stok_bantuan_model.dart';
+import 'package:penyaluran_app/app/data/models/lokasi_penyaluran_model.dart';
 import 'package:penyaluran_app/app/modules/auth/controllers/auth_controller.dart';
 import 'package:penyaluran_app/app/services/supabase_service.dart';
 import 'package:penyaluran_app/app/routes/app_pages.dart';
@@ -45,6 +46,10 @@ class DonaturDashboardController extends GetxController {
   // Data untuk stok bantuan yang tersedia
   final RxList<StokBantuanModel> stokBantuan = <StokBantuanModel>[].obs;
 
+  // Data untuk lokasi penyaluran
+  final RxList<LokasiPenyaluranModel> lokasiPenyaluran =
+      <LokasiPenyaluranModel>[].obs;
+
   // Indikator loading
   final RxBool isLoading = false.obs;
 
@@ -199,6 +204,9 @@ class DonaturDashboardController extends GetxController {
       // Ambil data stok bantuan
       await fetchStokBantuan();
 
+      // Ambil data lokasi penyaluran
+      await fetchLokasiPenyaluran();
+
       // Ambil data notifikasi
       await fetchNotifikasi();
     } catch (e) {
@@ -233,7 +241,7 @@ class DonaturDashboardController extends GetxController {
           .from('penyaluran_bantuan')
           .select(
               '*, lokasi_penyaluran:lokasi_penyaluran_id(*), kategori:kategori_bantuan_id(*), petugas:petugas_id(*)')
-          .order('tanggal_penyaluran', ascending: true);
+          .order('tanggal_penyaluran', ascending: false);
 
       // Konversi ke model lalu filter di sisi client
       final allJadwal = response
@@ -243,9 +251,7 @@ class DonaturDashboardController extends GetxController {
 
       // Filter jadwal yang tanggalnya lebih besar dari hari ini
       jadwalPenyaluran.value = allJadwal
-          .where((jadwal) =>
-              jadwal.tanggalPenyaluran != null &&
-              jadwal.tanggalPenyaluran!.isAfter(now))
+          .where((jadwal) => jadwal.tanggalPenyaluran != null)
           .toList();
     } catch (e) {
       print('Error fetching jadwal penyaluran: $e');
@@ -306,6 +312,23 @@ class DonaturDashboardController extends GetxController {
     }
   }
 
+  // Ambil data lokasi penyaluran
+  Future<void> fetchLokasiPenyaluran() async {
+    try {
+      final response = await _supabaseService.client
+          .from('lokasi_penyaluran')
+          .select()
+          .eq('is_lokasi_titip', true)
+          .order('nama');
+
+      lokasiPenyaluran.value = (response as List<dynamic>)
+          .map((data) => LokasiPenyaluranModel.fromJson(data))
+          .toList();
+    } catch (e) {
+      print('Error fetching lokasi penyaluran: $e');
+    }
+  }
+
   // Ambil data notifikasi
   Future<void> fetchNotifikasi() async {
     try {
@@ -386,6 +409,7 @@ class DonaturDashboardController extends GetxController {
     double jumlah,
     String deskripsi,
     String? skemaBantuanId,
+    String? lokasiPenyaluranId,
   ) async {
     try {
       isLoading.value = true;
@@ -426,15 +450,25 @@ class DonaturDashboardController extends GetxController {
         'tanggal_penitipan': DateTime.now().toIso8601String(),
         'foto_bantuan': fotoBantuanUrls,
         'is_uang': selectedStokBantuan.isUang ?? false,
+        'skema_bantuan_id': skemaBantuanId,
+        'lokasi_penyaluran_id': lokasiPenyaluranId,
       };
 
-      // Tambahkan skema bantuan jika ada
-      if (skemaBantuanId != null && skemaBantuanId.isNotEmpty) {
-        data['skema_bantuan_id'] = skemaBantuanId;
-      }
-
       // Simpan ke database
-      await _supabaseService.client.from('penitipan_bantuan').insert(data);
+      final response = await _supabaseService.client
+          .from('penitipan_bantuan')
+          .insert(data)
+          .select('id')
+          .single();
+
+      // Tampilkan pesan sukses
+      Get.snackbar(
+        'Berhasil',
+        'Penitipan bantuan berhasil diinput',
+        backgroundColor: Colors.green,
+        colorText: Colors.white,
+        duration: const Duration(seconds: 3),
+      );
 
       // Reset foto bantuan setelah berhasil disimpan
       resetFotoBantuan();
@@ -442,19 +476,13 @@ class DonaturDashboardController extends GetxController {
       // Ambil data penitipan bantuan yang baru
       await fetchPenitipanBantuan();
 
-      // Tampilkan pesan sukses
-      Get.snackbar(
-        'Berhasil',
-        'Penitipan bantuan berhasil dikirim dan akan diproses oleh petugas desa',
-        backgroundColor: Colors.green,
-        colorText: Colors.white,
-        duration: const Duration(seconds: 3),
-      );
+      // Kembali ke halaman utama
+      Get.back();
     } catch (e) {
       print('Error creating penitipan bantuan: $e');
       Get.snackbar(
         'Gagal',
-        'Terjadi kesalahan saat mengirim penitipan bantuan: $e',
+        'Terjadi kesalahan: $e',
         backgroundColor: Colors.red,
         colorText: Colors.white,
         duration: const Duration(seconds: 3),
@@ -475,7 +503,7 @@ class DonaturDashboardController extends GetxController {
           .eq('id', lokasiId)
           .single();
 
-      if (response != null && response['nama'] != null) {
+      if (response['nama'] != null) {
         return response['nama'] as String;
       }
       return null;
